> ## Documentation Index
> Fetch the complete documentation index at: https://statsig-preview.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Deleted Experiment



## OpenAPI

````yaml api-reference/statsig_openapi.json delete /console/v1/experiments/{id}
openapi: 3.0.0
info:
  title: Console API
  description: >-
    The "Console API" is the CRUD API for performing the actions offered on
    console.statsig.com without needing to go through the web UI.

    If you have any feature requests, drop on in to our [slack
    channel](https://www.statsig.com/slack) and let us know.

    <br /><br />

    <b>Authorization</b>

    <br />

    All requests must include the **STATSIG-API-KEY** field in the header. The
    value should be a **Console API Key** which can be created in the Project
    Settings on
    [console.statsig.com/api_keys](https://console.statsig.com/api_keys)

    <br /><br />

    <b>Rate Limiting</b>

    <br />

    Requests to the Console API are limited to <code>~ 100reqs / 10secs and ~
    900reqs / 15 mins</code>.

    <br /><br />

    <b>Keyboard Search</b>

    <br />

    Use <code>Ctrl/Cmd + K</code> to search for specific endpoints.
  version: 20240601.0.0
  contact: {}
servers:
  - url: https://statsigapi.net
security: []
tags: []
paths:
  /console/v1/experiments/{id}:
    delete:
      tags:
        - Experiments
      summary: Deleted Experiment
      parameters:
        - name: id
          required: true
          in: path
          description: id
          schema:
            type: string
        - name: x-respect-review-settings
          in: header
          description: Optional header to respect review settings for mutation endpoints.
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Delete Experiment Success
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/SingleDataResponse'
                  - properties:
                      data:
                        $ref: '#/components/schemas/ExternalExperimentDto'
                example:
                  message: Experiment deleted successfully.
              example:
                message: Experiment deleted successfully.
        '401':
          description: >-
            This endpoint only accepts an active CONSOLE key, but an invalid key
            was sent. Key: console-xxxXXXxxxXXXxxx
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    enum:
                      - 401
                  message:
                    type: string
                required:
                  - status
                  - message
              examples:
                Invalid Endpoint:
                  value:
                    status: 401
                    message: >-
                      This endpoint only accepts an active CONSOLE key, but an
                      invalid key was sent. Key: console-xxxXXXxxxXXXxxx
        '404':
          description: Experiment not found.
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    enum:
                      - 404
                  message:
                    type: string
                required:
                  - status
                  - message
              examples:
                Not Found:
                  value:
                    status: 404
                    message: Not Found. The requested resource could not be found.
      security:
        - STATSIG-API-KEY: []
components:
  schemas:
    SingleDataResponse:
      type: object
      properties:
        message:
          type: string
          description: A simple string explaining the result of the operation.
        data:
          type: object
          description: A single result.
      required:
        - message
        - data
    ExternalExperimentDto:
      type: object
      properties:
        reviewSettings:
          type: object
          properties:
            requiredReview:
              type: boolean
            allowedReviewers:
              type: array
              items:
                type: object
                properties:
                  id:
                    type: string
                  name:
                    type: string
                  email:
                    type: string
                required:
                  - id
                  - name
                  - email
              nullable: true
          required:
            - requiredReview
        activeReview:
          type: object
          properties:
            reviewID:
              type: string
            reviewStatus:
              type: string
            description:
              type: string
          required:
            - reviewID
            - reviewStatus
            - description
        id:
          type: string
          description: ID
        name:
          type: string
          description: Optional name for the configuration.
        idType:
          type: string
        description:
          type: string
          maxLength: 1000
          description: A helpful summary of what this experiment does
        lastModifierID:
          type: string
          nullable: true
          description: ID of the last modifier.
        lastModifiedTime:
          type: number
          nullable: true
          description: Time of the last modification.
        lastModifierEmail:
          type: string
          nullable: true
          description: Email of the last modifier.
        lastModifierName:
          type: string
          nullable: true
          description: Name of the last modifier.
        creatorID:
          type: string
          nullable: true
          description: The Statsig ID of the creator of this experiment
        createdTime:
          type: number
          description: Timestamp when the entity was created.
        creatorName:
          type: string
          nullable: true
          description: Name of the creator.
        creatorEmail:
          type: string
          nullable: true
          description: The email of the creator of this experiment
        tags:
          type: array
          items:
            type: string
        targetApps:
          oneOf:
            - type: string
            - type: array
              items:
                type: string
          description: Target apps assigned to this experiment
        holdoutIDs:
          type: array
          items:
            type: string
          description: Holdouts applied to this configuration.
        team:
          type: string
          nullable: true
          description: The team name associated with the experiment, Enterprise only.
        teamID:
          type: string
          nullable: true
          description: The team ID associated with the experiment, Enterprise only.
        version:
          type: number
          description: Version number
        secondaryIDType:
          type: string
          nullable: true
          description: >-
            The secondary ID type for the experiment used in WHN for ID
            resolution
        hypothesis:
          type: string
          description: A statement that will be tested by this experiment
        links:
          type: array
          items:
            type: object
            properties:
              url:
                type: string
                format: uri
                description: The URL of the link
              title:
                type: string
                description: The title of the link
            required:
              - url
          description: Links to relevant documentation or resources
        groups:
          type: array
          items:
            type: object
            properties:
              name:
                type: string
              id:
                type: string
                nullable: true
              size:
                type: number
                minimum: 0
                maximum: 100
              parameterValues:
                type: object
                additionalProperties: {}
              disabled:
                type: boolean
              description:
                type: string
              foreignGroupID:
                type: string
            required:
              - name
              - size
              - parameterValues
          description: The test groups for your experiment
        controlGroupID:
          type: string
          description: Optional control group ID
        allocation:
          type: number
          minimum: 0
          maximum: 100
          description: Percent of layer allocated to this experiment
        primaryMetricTags:
          type: array
          items:
            type: string
          description: Primary metric tags for the experiment
        secondaryMetricTags:
          type: array
          items:
            type: string
          description: Secondary metric tags for the experiment
        primaryMetrics:
          type: array
          items:
            type: object
            properties:
              name:
                type: string
              type:
                type: string
              direction:
                type: string
                enum:
                  - increase
                  - decrease
              hypothesizedValue:
                type: number
            required:
              - name
              - type
        secondaryMetrics:
          type: array
          items:
            type: object
            properties:
              name:
                type: string
              type:
                type: string
              direction:
                type: string
                enum:
                  - increase
                  - decrease
              hypothesizedValue:
                type: number
            required:
              - name
              - type
        duration:
          type: integer
          minimum: 1
          exclusiveMinimum: true
          description: How long the experiment is expected to last in days
        targetExposures:
          type: integer
          minimum: 1
          exclusiveMinimum: true
          description: Target exposures for the experiment
        targetingGateID:
          type: string
          nullable: true
          description: Restrict your experiment to users passing the selected feature gate
        sequentialTesting:
          type: boolean
          description: Apply sequential testing?
        bonferroniCorrection:
          type: boolean
          description: Is Bonferroni correction applied per variant?
        bonferroniCorrectionPerMetric:
          type: boolean
          description: Is Bonferroni correction applied per metric?
        benjaminiHochbergPerVariant:
          type: boolean
          description: Is Benjamini-Hochberg procedure applied per variant?
        benjaminiHochbergPerMetric:
          type: boolean
          description: Is Benjamini-Hochberg procedure applied per metric?
        benjaminiPrimaryMetricsOnly:
          type: boolean
          description: Is Benjamini-Hochberg procedure applied for primary metrics only?
        defaultConfidenceInterval:
          type: string
          enum:
            - '80'
            - '90'
            - '95'
            - '98'
            - '99'
          description: Default error margin used for results
        status:
          type: string
          enum:
            - active
            - setup
            - decision_made
            - abandoned
            - archived
            - experiment_stopped
            - assignment_stopped
          description: The current status of the experiment
        launchedGroupID:
          type: string
          nullable: true
          description: ID of the launched group, null otherwise
        assignmentSourceName:
          type: string
        assignmentSourceExperimentName:
          type: string
          description: Name of the source experiment for assignment
        isAnalysisOnly:
          type: boolean
        allocationDuration:
          type: integer
          minimum: 1
          exclusiveMinimum: true
          nullable: true
          description: Warehouse Native Only - Allocation duration in days
        cohortedAnalysisDuration:
          type: integer
          minimum: 1
          exclusiveMinimum: true
          description: Warehouse Native Only - Cohorted analysis duration in days
        cohortedMetricsMatureAfterEnd:
          type: boolean
          description: >-
            Warehouse Native Only - Allow cohort metrics to mature after
            experiment end
        cohortWaitUntilEndToInclude:
          type: boolean
          description: >-
            Warehouse Native Only - Whether to filter to units whose experiment
            cohort analysis duration is complete, if cohortedAnalysisDuration
            exists
        fixedAnalysisDuration:
          type: integer
          minimum: 1
          exclusiveMinimum: true
          description: Fixed analysis duration in days
        scheduledReloadHour:
          type: integer
          minimum: 0
          maximum: 23
          description: >-
            Warehouse Native only - UTC hour at which to run scheduled pulse
            loads
        scheduledReloadType:
          type: string
          enum:
            - full
            - incremental
          description: Warehouse Native only - reload type for scheduled reloads
        analysisEndTime:
          type: string
        precommitWebhook:
          type: object
          properties:
            url:
              type: string
            internalStatusUrl:
              type: string
          required:
            - url
            - internalStatusUrl
          nullable: true
        assignmentSourceFilters:
          type: array
          items:
            type: object
            properties:
              column:
                type: string
                description: Column to filter on.
              condition:
                type: string
                enum:
                  - in
                  - not_in
                  - '='
                  - '>'
                  - <
                  - '>='
                  - <=
                  - is_null
                  - non_null
                  - contains
                  - not_contains
                  - sql_filter
                  - starts_with
                  - ends_with
                  - after_exposure
              values:
                type: array
                items:
                  type: string
                description: Optional array of values for the criterion to match against.
            required:
              - condition
          description: Array of criteria for filtering assignment sources.
        analyticsType:
          type: string
          nullable: true
        subtype:
          type: string
          enum:
            - conversion
            - reactivation
            - retention
        externalExperimentName:
          type: string
        layerID:
          type: string
          nullable: true
        startTime:
          type: number
          nullable: true
        endTime:
          type: number
          nullable: true
        decisionReason:
          type: string
          nullable: true
        decisionTime:
          type: number
          nullable: true
        healthChecks:
          type: array
          items:
            type: object
            properties:
              name:
                type: string
              description:
                type: string
              status:
                type: string
                enum:
                  - PASSED
                  - FAILED
                  - WAITING
                  - WARNING
              metadata:
                type: object
                properties:
                  type:
                    type: string
                  lastPulseLoadTime:
                    type: number
                  crossoverPercent:
                    type: number
                  assignmentSourceID:
                    type: string
                  assignmentSourceName:
                    type: string
                  foreignExperimentID:
                    type: string
                  deduplication_rate:
                    type: number
                  deduplication_rates:
                    type: array
                    items:
                      type: object
                      properties:
                        group_id:
                          type: string
                        rate:
                          type: number
                        group_name:
                          type: string
                      required:
                        - group_id
                        - rate
                        - group_name
                  primary_id_type:
                    type: string
                  secondary_id_type:
                    type: string
                  missingMetrics:
                    type: array
                    items:
                      type: string
                  metrics:
                    type: array
                    items:
                      type: object
                      properties:
                        metric_name:
                          type: string
                        earliest_date:
                          type: string
                          format: date-time
                          nullable: true
                        latest_date:
                          type: string
                          format: date-time
                          nullable: true
                      required:
                        - metric_name
                        - earliest_date
                        - latest_date
                  lastUpdatedDs:
                    type: string
                required:
                  - type
                  - primary_id_type
              type:
                type: string
                enum:
                  - has_checks
                  - has_valid_unit_type
                  - has_balanced_exposures
                  - has_event_metrics
                  - has_pulse_metrics
                  - assignment_health
                  - has_crossover
                  - has_exposures
                  - has_recent_exposures_for_analyze_whn
                  - user_metrics_exist
                  - deduplication_rate
                  - deduplication_rate_group_level
                  - windowed_metrics_have_outliers
                  - exposures_data_is_behind
                  - pre_experimental_bias_check
                  - segments_of_interest_analysis
                  - has_changed_parameter
                  - metric_history_for_topline_impact
                  - default_value_mismatch
            required:
              - name
              - description
              - status
        healthCheckStatus:
          type: string
          enum:
            - PASSED
            - FAILED
            - WAITING
            - WARNING
          description: Overall health check status
        owner:
          type: object
          properties:
            ownerID:
              type: string
              description: ID of the owner
              example: abc123
            ownerType:
              type: string
              description: Type of the owner (e.g., SDK_KEY or USER)
              example: USER
            ownerName:
              type: string
              description: The name of the owner. This field is optional.
              example: John Doe
            ownerEmail:
              type: string
              description: The email of the owner. This field is optional.
          description: >-
            Schema for owner data including ID, type, name. Note that if Entity
            is created by CONSOLE API, owner will be undefined.
          example:
            ownerID: user123
            ownerType: USER
            ownerName: John Doe
            ownerEmail: owner123@test.com
          nullable: true
        inlineTargetingRulesJSON:
          type: string
          nullable: true
      required:
        - id
        - idType
        - description
        - lastModifierID
        - lastModifiedTime
        - lastModifierEmail
        - lastModifierName
        - createdTime
        - creatorName
        - tags
        - hypothesis
        - groups
        - allocation
        - primaryMetrics
        - secondaryMetrics
        - targetingGateID
        - bonferroniCorrection
        - defaultConfidenceInterval
        - status
        - layerID
        - startTime
        - endTime
        - decisionReason
        - decisionTime
        - healthCheckStatus
  securitySchemes:
    STATSIG-API-KEY:
      type: apiKey
      name: STATSIG-API-KEY
      in: header

````